Index: trunk/kernel/fs/vfs.c
===================================================================
--- trunk/kernel/fs/vfs.c	(revision 484)
+++ trunk/kernel/fs/vfs.c	(revision 492)
@@ -171,5 +171,5 @@
     {
         ctx = NULL;
-		assert( false , __FUNCTION__ , "illegal file system type = %d\n" , fs_type );
+		assert( false , "illegal file system type = %d\n" , fs_type );
     }
 
@@ -250,5 +250,5 @@
 error_t vfs_inode_destroy( vfs_inode_t * inode )
 {
-    assert( (inode->refcount == 0), __FUNCTION__ , "inode refcount non zero\n" );
+    assert( (inode->refcount == 0) , "inode refcount non zero\n" );
 
     // release memory allocated for mapper
@@ -280,7 +280,7 @@
     error_t error = 0;
 
-    assert( (parent != NULL) , __FUNCTION__ , "parent pointer is NULL\n");
-
-    assert( (child_xp != XPTR_NULL) , __FUNCTION__ , "child pointer is NULL\n");
+    assert( (parent != NULL) , "parent pointer is NULL\n");
+
+    assert( (child_xp != XPTR_NULL) , "child pointer is NULL\n");
 
     // get parent inode FS type
@@ -294,13 +294,13 @@
     else if( fs_type == FS_TYPE_RAMFS )
     {
-        assert( false , __FUNCTION__ , "should not be called for RAMFS\n" );
+        assert( false , "should not be called for RAMFS\n" );
     }
     else if( fs_type == FS_TYPE_DEVFS )
     {
-        assert( false , __FUNCTION__ , "should not be called for DEVFS\n" );
+        assert( false , "should not be called for DEVFS\n" );
     }
     else
     {
-        assert( false , __FUNCTION__ , "undefined file system type\n" );
+        assert( false , "undefined file system type\n" );
     }
 
@@ -581,5 +581,5 @@
     if( file->refcount )
     {
-        assert( false , __FUNCTION__ , "refcount non zero\n" );
+        assert( false , "refcount non zero\n" );
     }       
 
@@ -713,5 +713,5 @@
                    uint32_t size )
 {
-    assert( ( file_xp != XPTR_NULL ) , __FUNCTION__ , "file_xp == XPTR_NULL" );
+    assert( ( file_xp != XPTR_NULL ) , "file_xp == XPTR_NULL" );
 
     cxy_t              file_cxy;     // remote file descriptor cluster 
@@ -729,5 +729,5 @@
     inode_type = hal_remote_lw( XPTR( file_cxy , &file_ptr->type   ) );
    
-    assert( (inode_type == INODE_TYPE_FILE) , __FUNCTION__ ,
+    assert( (inode_type == INODE_TYPE_FILE) ,
     "inode type is not INODE_TYPE_FILE" );
 
@@ -768,5 +768,5 @@
                          uint32_t size )
 {
-    assert( ( file_xp != XPTR_NULL ) , __FUNCTION__ , "file_xp == XPTR_NULL" );
+    assert( ( file_xp != XPTR_NULL ) , "file_xp == XPTR_NULL" );
 
     cxy_t              file_cxy;     // remote file descriptor cluster 
@@ -835,5 +835,5 @@
     uint32_t       new;
 
-    assert( (file_xp != XPTR_NULL) , __FUNCTION__ , "file_xp == XPTR_NULL" );
+    assert( (file_xp != XPTR_NULL) , "file_xp == XPTR_NULL" );
 
     // get cluster and local pointer on remote file descriptor
@@ -899,7 +899,7 @@
     process_t  * process_ptr;      // process copy local pointer
 
-    assert( (file_xp != XPTR_NULL) , __FUNCTION__ , "file_xp == XPTR_NULL" );
-
-    assert( (file_id < CONFIG_PROCESS_FILE_MAX_NR) , __FUNCTION__ , "illegal file_id" );
+    assert( (file_xp != XPTR_NULL) , "file_xp == XPTR_NULL" );
+
+    assert( (file_id < CONFIG_PROCESS_FILE_MAX_NR) , "illegal file_id" );
 
     thread_t  * this    = CURRENT_THREAD;
@@ -996,5 +996,6 @@
                     char   * path )
 {
-    assert( false , __FUNCTION__ , "not implemented\n", cwd_xp, path );
+    assert( false , "not implemented cwd_xp %x, path <%s> \n",
+      cwd_xp, path );   
     return 0;
 } 
@@ -1004,5 +1005,6 @@
                   struct stat * k_stat )
 {
-    assert( false , __FUNCTION__ , "not implemented\n", file_xp, k_stat );
+    assert( false , "not implemented file_xp: %x, k_stat ptr %x\n",
+      file_xp, k_stat );
     return 0;
 }
@@ -1012,5 +1014,6 @@
                      struct dirent * k_dirent )
 {
-    assert( false , __FUNCTION__ , "not implemented\n", file_xp, k_dirent );
+    assert( false , "not implemented file_xp: %x, k_dirent ptr %x\n",
+      file_xp, k_dirent );
     return 0;
 }
@@ -1021,5 +1024,6 @@
                    uint32_t   mode )
 {
-    assert( false , __FUNCTION__ , "not implemented\n", file_xp, path, mode );
+    assert( false , "not implemented file_xp: %x, path <%s>, mode: %x\n",
+      file_xp, path, mode );
     return 0;
 }
@@ -1029,5 +1033,6 @@
                    char   * path )
 {
-    assert( false , __FUNCTION__ , "not implemented\n", file_xp, path );
+    assert( false , "not implemented file_xp: %x, path <%s>\n",
+      file_xp, path );
     return 0;
 }
@@ -1065,5 +1070,5 @@
     }
 
-    assert( false , __FUNCTION__ , "not implemented\n" );
+    assert( false , "not implemented\n" );
     return 0;
 }
@@ -1097,5 +1102,5 @@
 
     
-    assert( false , __FUNCTION__ , "not implemented\n" );
+    assert( false , "not implemented\n" );
     return 0;
 }
@@ -1106,5 +1111,6 @@
                     uint32_t rights )
 {
-    assert( false , __FUNCTION__ , "not implemented\n", cwd_xp, path, rights );
+    assert( false , "not implemented cwd_xp: %x, path <%s>, rights %x\n",
+      cwd_xp, path, rights );
     return 0;
 }
@@ -1168,7 +1174,7 @@
                                         "                              " };  // level 15
 
-    assert( (inode_xp != XPTR_NULL) , __FUNCTION__ , "inode_xp cannot be NULL\n" );
-    assert( (name_xp  != XPTR_NULL) , __FUNCTION__ , "name_xp cannot be NULL\n" );
-    assert( (indent < 16)           , __FUNCTION__ , "depth cannot be larger than 15\n" );
+    assert( (inode_xp != XPTR_NULL) , "inode_xp cannot be NULL\n" );
+    assert( (name_xp  != XPTR_NULL) , "name_xp cannot be NULL\n" );
+    assert( (indent < 16)           , "depth cannot be larger than 15\n" );
     
     // get inode cluster and local pointer
@@ -1944,9 +1950,9 @@
     error_t error = 0;
 
-    assert( (page != NULL) , __FUNCTION__ , "page pointer is NULL\n" );
+    assert( (page != NULL) , "page pointer is NULL\n" );
 
     mapper_t    * mapper = page->mapper;
 
-    assert( (mapper != NULL) , __FUNCTION__ , "no mapper for page\n" );
+    assert( (mapper != NULL) , "no mapper for page\n" );
 
 #if DEBUG_VFS_MAPPER_MOVE
@@ -1969,13 +1975,13 @@
     else if( fs_type == FS_TYPE_RAMFS )
     {
-        assert( false , __FUNCTION__ , "should not be called for RAMFS\n" );
+        assert( false , "should not be called for RAMFS\n" );
     }
     else if( fs_type == FS_TYPE_DEVFS )
     {
-        assert( false , __FUNCTION__ , "should not be called for DEVFS\n" );
+        assert( false , "should not be called for DEVFS\n" );
     }
     else
     {
-        assert( false , __FUNCTION__ , "undefined file system type\n" );
+        assert( false , "undefined file system type\n" );
     }
 
@@ -1994,5 +2000,5 @@
 error_t vfs_mapper_load_all( vfs_inode_t * inode )
 {
-    assert( (inode != NULL) , __FUNCTION__ , "inode pointer is NULL\n" );
+    assert( (inode != NULL) , "inode pointer is NULL\n" );
 
     uint32_t   index;
@@ -2002,5 +2008,5 @@
     uint32_t   size   = inode->size;
 
-    assert( (mapper != NULL) , __FUNCTION__ , "mapper pointer is NULL\n" );
+    assert( (mapper != NULL) , "mapper pointer is NULL\n" );
 
 #if DEBUG_VFS_MAPPER_LOAD
